#pragma once

#include <cstdint>

namespace wtfm {
	struct version {
		// clang-format off
		static constexpr std::uint16_t major = ${PROJECT_VERSION_MAJOR};
		static constexpr std::uint16_t minor = ${PROJECT_VERSION_MINOR};
		static constexpr std::uint16_t patch = ${PROJECT_VERSION_PATCH};
		// clang-format on
	};
}